#### D.6.15.7 displayInvariants

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  displayInvariants(INPUT); INPUT list or poly

Assume:
  `INPUT` is a bivariate polynomial, or the output of `develop(f)`, resp. of `extdevelop(develop(f),n)`, or (one entry of) the list of HN data computed by `hnexpansion(f[,"ess"])`.

Return:
  none

Display:
  invariants of the corresponding branch, resp. of all branches, in a better readable form.

Note:
  If the Hamburger-Noether expansion of the curve f is needed for other purposes as well it is better to calculate this first with the aid of `hnexpansion` and use it as input instead of the polynomial itself.

Example:

    LIB "hnoether.lib";
    ring exring=0,(x,y),dp;
    list Hne=develop(y4+2x3y2+x6+x5y);
    displayInvariants(Hne);
    ==>  characteristic exponents  : 4,6,7
    ==>  generators of semigroup   : 4,6,13
    ==>  Puiseux pairs             : (3,2)(7,2)
    ==>  degree of the conductor   : 16
    ==>  delta invariant           : 8
    ==>  sequence of multiplicities: 4,2,2,1,1

See also: develop; hnexpansion; intersection; invariants.

User manual for Singular version 4.4.1, 2025, generated by texi2html.